Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions
common_iterator.hpp File Reference

## Classes
struct | ranges::common_iterator< I, S >
struct | ranges::indirectly_readable_traits< common_iterator< I, S > >

## Functions
template<typename I1 , typename I2 , typename S1 , typename S2 >
bool | ranges::operator!= (common_iterator< I1, S1 > const &x, common_iterator< I2, S2 > const &y)
template<typename I1 , typename I2 , typename S1 , typename S2 >
iter_difference_t< I2 > | ranges::operator- (common_iterator< I1, S1 > const &x, common_iterator< I2, S2 > const &y)
template<typename I1 , typename I2 , typename S1 , typename S2 >
bool | ranges::operator== (common_iterator< I1, S1 > const &x, common_iterator< I2, S2 > const &y)